Bug 200410 - createrepo fails if double // in path
createrepo fails if double // in path
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: createrepo (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-27 11:20 EDT by Jesse Keating
Modified: 2014-01-21 17:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-30 08:48:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2006-07-27 11:20:10 EDT
File "/usr/share/createrepo/genpkgmetadata.py", line 607, in ?
    main(sys.argv[1:])
  File "/usr/share/createrepo/genpkgmetadata.py", line 544, in main
    mdgen.doPkgMetadata(directories)
  File "/usr/share/createrepo/genpkgmetadata.py", line 312, in doPkgMetadata
    filematrix[mydir] = self.getFileList(os.path.join(self.initialdir, mydir),
'.', '.rpm', [])
  File "/usr/share/createrepo/genpkgmetadata.py", line 85, in getFileList
    filelist = self.getFileList(basepath, os.path.join(path, d), ext, filelist)
  File "/usr/share/createrepo/genpkgmetadata.py", line 85, in getFileList
    filelist = self.getFileList(basepath, os.path.join(path, d), ext, filelist)
  File "/usr/share/createrepo/genpkgmetadata.py", line 93, in getFileList
    raise "basepath '%s' not found in path '%s'" % (basepath, totalpath)
basepath
'/mnt/redhat/devel/jkeating//FC5.90.1-re20060727.0/work/i386-tmp/os-disc1' not
found in path
'/mnt/redhat/devel/jkeating/FC5.90.1-re20060727.0/work/i386-tmp/os-disc1/Fedora/R
PMS'

Note the double slash.
Comment 1 Paul Nasrat 2006-07-27 11:24:02 EDT
Please give the full createrepo invocation.
Comment 2 Jesse Keating 2006-07-27 11:25:26 EDT
/usr/bin/createrepo -q --basedir
/mnt/redhat/devel/jkeating//FC5.90.1-re20060727.0/work/i386-tmp -p --split -g
/mnt/redhat/devel/jkeating//FC5.90.1-re20060727.0/5.90.1/
i386/os/Fedora/base/comps.xml -u media://1153977092.906568 --cachedir
/mnt/redhat/scripts/distill-cache/FC-5.90.1/i386/yum-md5sums --outputdir
/mnt/redhat/devel/jkeating//FC5.90.1-re2
0060727.0/work/i386-tmp/os-disc1 --exclude *debuginfo* os-disc1 os-disc2
os-disc3 os-disc4 os-disc5
Comment 3 Paul Nasrat 2006-07-27 11:39:49 EDT
Hmm I'd have thought os.path.normpath would have done the right thing, I'll
improve sanity checks for next upstream release.
Comment 4 Seth Vidal 2007-07-30 08:48:30 EDT
I'm pretty sure this one is taking care of. If only b/c it is a year later :)

closing - reopen if you think I'm wrong :)

Note You need to log in before you can comment on or make changes to this bug.